Loading...
Searching...
No Matches
orientation.h File Reference

Image orientation definition. More...

`#include <iostream>`
Include dependency graph for orientation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Enumerations

enum class | libcamera::Orientation { libcamera::Rotate0 = 1 , libcamera::Rotate0Mirror , libcamera::Rotate180 , libcamera::Rotate180Mirror , libcamera::Rotate90Mirror , libcamera::Rotate270 , libcamera::Rotate270Mirror , libcamera::Rotate90 }
| The image orientation in a memory buffer. More...

## Functions

Orientation | libcamera::orientationFromRotation (int angle, bool *success)
| Return the orientation representing a rotation of the given angle clockwise.
std::ostream & | libcamera::operator<< (std::ostream &out, const Orientation &orientation)
| Prints human-friendly names for Orientation items.

## Detailed Description

Image orientation definition.